> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Template Title

GET https://restapi.ordergroove.com/orders/ (COPY)

\{Single sentence describing the function.}

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/orders/list-copy

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `status` (integer, optional) — Order status
- `subscription` (string, optional) — Subscription ID
- `customer` (string, optional) — Customer ID (only available in API user scope)
- `place` (date, optional) — Order's place date exact match (yyyy-mm-dd)
- `place_start` (date, optional) — Order's place date later or equal than parameter (yyyy-mm-dd)
- `place_end` (date, optional) — Order's place date sooner or equal than parameter (yyyy-mm-dd)
- `created` (date, optional) — Order's created date exact match (yyyy-mm-dd)
- `created_start` (date, optional) — Order's created date later or equal than parameter (yyyy-mm-dd)
- `created_end` (date, optional) — Order's created date sooner or equal than parameter (yyyy-mm-dd)
- `updated` (date, optional) — Order's updated date exact match (yyyy-mm-dd). On order creation is populated with same value as created field.
- `updated_start` (date, optional) — Order's updated date later or equal than parameter (yyyy-mm-dd)
- `updated_end` (date, optional) — Order's updated date sooner or equal than parameter (yyyy-mm-dd)

## Response

### 200

200

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Examples

**Response**

```json
{
  "results": [
    {
      "merchant": "ac4f7938383a11e89ecbbc764e1107f2",
      "customer": "00026001",
      "payment": "394a7f26d61611e88b4abc764e1043b0",
      "shipping_address": "c4cd7f86ccc411e8ada3bc764e101db1",
      "public_id": "6120b166d62d11e8aaf0bc764e107990",
      "sub_total": "95.12",
      "tax_total": "0.00",
      "shipping_total": "0.00",
      "discount_total": "91.78",
      "total": "95.12",
      "created": "2018-10-22 14:05:02",
      "place": "2018-10-22 15:06:25",
      "cancelled": null,
      "tries": 1,
      "generic_error_count": 0,
      "status": 3,
      "type": 1,
      "order_merchant_id": null,
      "rejected_message": "{\"message\": \"Unable to ingest order 2938617 into D365. Unable to find any PaymentToken against the provided CustomerProfileID\", \"code\": \"020\"}",
      "extra_data": null,
      "locked": false,
      "oos_free_shipping": false
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/orders/%20(COPY)"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/orders/%20(COPY)';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/orders/%20(COPY)"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/orders/%20(COPY)")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/orders/%20(COPY)")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/orders/%20(COPY)', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/orders/%20(COPY)");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/orders/%20(COPY)")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```